extends ColorRect


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	if Globals.current_time == Utils.TIME.PRESENT:
		visible = false;
	
	SignalBus.changed_time.connect(on_timeshift);

func on_timeshift() -> void:
	if Globals.current_time == Utils.TIME.PRESENT:
		visible = false;
	else:
		visible = true;
